> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/support-widget/javascript-changelog.md).

# Javascript changelog

This represents a log of all changes to the Javascript and the versions that are related to each new addition.

### 2.1.3 (Nov 19. 2020)

You can now pop the widget with any module as a start page. As an example, this let's you initialize a chat directly from the launcher without passing through the homepage first.

### 2.1.2 (Jul 10. 2020)

Added support for more languages, with a separate configuration option.

### 2.1.1 (Feb 28. 2020)

We added the ability to control the session lifetime from the javascript. The script counts the time in milliseconds from the last message in a thread (from the enduser or the support agent). We also added a few options to control the layout of the queue element, shown to the enduser.

* Using the [Chat sub-object ](https://developers.socialboards.com/docs/apis/support-widget/configuration-options#chat-sub-object)in the javascript
  * Add "idleTimeoutMs" to control the session lifetime
  * Use queueMessageBackgroundColor to control the background color of the queue element
  * Use queueMessageFontSizeRem to set the text size of the same element

### 2.1 (Feb 15. 2020)

We now support multiple Support Widgets in the same inbox - each with its own behaviour, chat opening hours, design etc.

* Configure new Widget Instances in your inbox
* Use the "widgetId" to select which Widget to use.

### 2.0 (Jan 01. 2020)

We’re excited to share that we’ve now launched a major update to our Chat module - combining chat, webforms and faq in one user friendly support widget.

### 1.0 (original)

{% hint style="warning" %}
We'll continue to support v 1.0 for 12 months, until March 1st 2021.
{% endhint %}

The base version of the chat javascript that existed before versioning was introduced. This version is documented on [https://socialboardsinbox.docs.apiary.io/#](https://socialboardsinbox.docs.apiary.io)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.socialboards.com/docs/apis/support-widget/javascript-changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
